component: Vitals
namespace: zoox::dispatch::diagnostics
# metric: ...
proto_imports:
  - vehicle/dispatch_v3/dispatch_fault_freeze_frames.proto
faults:
  - id: 1
    name: HttpApiException
    severity: WARNING
    description: Number of consecutive HTTP request failures is above a threshold.
    freeze_frame: zoox.dispatch.proto.http_fault_freeze_frame
  - id: 2
    name: HttpUnknownException
    severity: WARNING
    description: Unknown exception occurred while making HTTP request.
  - id: 3
    name: PoseInvalid
    severity: WARNING
    description: Hero pose is missing important property(ies).
  - id: 4
    name: DriveModeInvalid
    severity: WARNING
    description: Vehicle platform measurement is missing important property(ies).
  - id: 5
    name: ZrnMinimumReleaseStatusMissing
    severity: WARNING
    description: Missing valid ZRN minimum release status info from external config.
  - id: 6
    name: NoMaestroRobotId
    severity: WARNING
    description: (DEPRECATED) Robot has no Maestro Robot ID. Please check connectivity to the Robot Info server.
  - id: 7
    name: NoMaestroApiEndpoint
    severity: WARNING
    description: Robot has no Maestro API (Robot Gateway) endpoint. Please check connectivity to the Robot API Locator (Ralph) server.
  - id: 8
    name: TelemetryBandwidthThresholdExceeded
    severity: INFO
    description: The amount of telemetry data being sent has exceeded the allowed threshold
  - id: 9
    name: TelemetryHttpApiException
    severity: WARNING
    description: Number of consecutive HTTP request failures for the telemetry endpoint is above a threshold.
    freeze_frame: zoox.dispatch.proto.http_fault_freeze_frame
  - id: 10
    name: NotOnValidRoad
    severity: WARNING
    description: Hero is not on a valid road. Planning and hailing will fail.
  - id: 11
    name: WaitingOnHeroState
    severity: WARNING
    description: Waiting on hero state. Check that Pose is turned on.
  - id: 12
    name: WaitingOnZrn
    severity: WARNING
    description: Waiting on zrn. Check that a ZRN has been selected.
  - id: 13
    name: WaitingOnPlannerConfig
    severity: WARNING
    description: Waiting on planner config. Check that Planner is turned on.
  - id: 14
    name: ZrnInvalid
    severity: WARNING
    description: Release ZRN has no zrn field or failed to convert into region.
  - id: 15
    name: HeroStatePlannerIncompatible
    severity: WARNING
    description: Hero state is not compatible with planner. Check that you are localized correctly.
